Package org.eclipse.lemminx.services.extensions.rename

## Interface IRenameResponse

    public interface IRenameResponse

Rename response API.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addResourceOperation​(org.eclipse.lsp4j.ResourceOperation resourceOperation)` Adds resource operation to rename response.
`void` `addTextDocumentEdit​(org.eclipse.lsp4j.TextDocumentEdit textDocumentEdit)` Adds text document edit to rename response.

### Method Detail

#### addTextDocumentEdit

    void addTextDocumentEdit​(org.eclipse.lsp4j.TextDocumentEdit textDocumentEdit)

Adds text document edit to rename response.

Parameters:
  `request` - A rename request
  `textDocumentEdit` - A TextDocumentEdit object to be added to rename response
Since:
  0.26

#### addResourceOperation

    void addResourceOperation​(org.eclipse.lsp4j.ResourceOperation resourceOperation)

Adds resource operation to rename response.

Parameters:
  `request` - A rename request
  `resourceOperation` - A ResourceOperation object to store to rename response
Since:
  0.26